Subject: RE: [Asrg] Rejecting Email

From: "Eric D. Williams" <[email-masked]>
Date: Tue, 1 Apr 2003 11:52:17 -0500

On Tuesday, April 01, 2003 11:39 AM, Vernon Schryver 
[SMTP:[email-masked]] wrote:
> > From: "Eric D. Williams" <[email-masked]>
>
> > ...
> > Should sites that block/filter, etc. include a 'standardized' link to a
> > statement of policy or 'reason' description for blocking the message?  Of
> >course we do have the abuse@ address [RFC2142] that is defined for CRM but
> >what
> > if there were also a standard address or 'link' to policy descriptions for
> > blocking/filtering behavior?  This is not an proposal for a standard 
message
> >
> > but a standard Location: for such a message.
>
> HTTP is not SMTP.  If it were not impossible, it would also be a
> mistake to mandate that every SMTP server be associated with an HTTP
> server.  Thus "link" cannot mean "URL".  It would be almost as bad to
> require that every SMTP server be associated with an STMP auto-responder
> of some kind.

I agree, that's why I put 'link' in quotes.  I take your point.

> It is a good idea to communicate why a mail message was been rejected,
> but it cannot and should not be mandated.  Rejecting mail does not
> differ enough from rejecting connections from HTTP, FTP, or even telnet
> clients.  Sometimes your security policies allow your computers to
> say why they won't provide a given service, but sometimes they must
> say at most "go away."

Indeed, that is well understood.

> There have been suggestions or proposals in this mailing list for a format
> or schema for more lucid bounce messages.  I'm convinced that is hopeless
> by many things including the 20 years of efforts to make STMP error
> messages understandable by more than high priests.  Still, such efforts
> might have good results and are unlikely to do any harm here, because
> bad results could not be imposed by pointy haired fiat.

I think the current schema for SMTP messages is adequate to cover any such 
bouncing myself, it appeared that a discussion was evolving that indicated a 
desire to have an additional 'qualifier' that could be used to convey policy 
posture to 'senders'. (Working on requirements).

-e

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg